/*
 * GNU.FREE 2002
 *
 * Copyright (c) 1999, 2000, 2001, 2002
 * The Free Software Foundation (www.fsf.org)
 *
 * GNU.FREE Co-ordinator: Jason Kitcat <jeep@free-project.org>
 *
 * GNU site: http://www.gnu.org/software/free/
 * 
 * FREE e-democracy site: http://www.free-project.org
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program (COPYING); if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */
 
/**
 * Stress Class
 * @version 0.2 29 March 2001
 * @author Jason Kitcat
 */
 
package FreeTest;


public class Stress extends Thread {

	Runnable tk;
	Thread talker;
	
	public int vectIndex = 0;
	String reply;
	
	/* constructor */
	public Stress(int i) {
		vectIndex = i;
		tk = new TCPClient(vectIndex);
		talker = new Thread(tk);
	}

	/** This run method spins off a TCPClient thread to send a packet */
	public void run() {
		
		try {
			
 			talker.start();

			reply = FTest.comms.getFromServer();
			
	 	} catch (Exception e) {
 			FTest.frame.showError("send(Auth|Vote) IO Error: " + e.getMessage());
	 	}
	 			
	}
	
} //EOF Stress class